Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Dipak Jadhav
.war does not support this version of Liferay
April 2, 2013 4:56 AM
Answer

Dipak Jadhav

Rank: New Member

Posts: 9

Join Date: April 2, 2013

Recent Posts

Hi,
I have created the portlet on my community edition. I have created a .war file for that portlet from Eclipse using "Export" functionality.
I want to deploy this .war file on Liferay Enterprise Edition. I have 30 day's trial version. I am getting ".war does not support this version of Liferay " .

Could you please tell me how to resolve this?

Thanks,
Dipak
David H Nebinger
RE: .war does not support this version of Liferay
April 2, 2013 5:25 AM
Answer

David H Nebinger

Rank: Liferay Legend

Posts: 7252

Join Date: September 1, 2006

Recent Posts

1) You should use the SDK for the environment you're targeting, in this case you'd use the EE SDK.
2) The liferay-plugin-package.properties file defines the version the plugin is for, so you probably have it set for the CE version and not the EE version.
Pradeep Sharma
RE: .war does not support this version of Liferay
April 2, 2013 6:38 AM
Answer

Pradeep Sharma

Rank: Junior Member

Posts: 47

Join Date: September 6, 2011

Recent Posts

Deepak, David gave you the best answer. Try to modify your liferay-plugin-package.properties file with this set

name=Your Portlet Name
module-group-id=liferay-ee
module-incremental-version=1
tags=
short-description=
change-log=
page-url=http://www.liferay.com
author=Liferay, Inc.
licenses=EE
liferay-versions=6.1.20

Also you can try: Copy your docroot folder of CE Edition and create a new project in EE with the same name and delete the docroot of EE workspace and paste the CE edition docroot to the new EE edition portlet project. Now create the war. Try it. it will for sure works. Enjoy !
Manish Yadav
RE: .war does not support this version of Liferay
April 3, 2013 11:54 AM
Answer

Manish Yadav

Rank: Expert

Posts: 384

Join Date: May 26, 2012

Recent Posts

Hi Deepak, you can also modify build.properties in plugin folder
change lp.version property value to
lp.version=6.1.20

after changing value create one more time war file
Dipak Jadhav
RE: .war does not support this version of Liferay
April 18, 2013 10:55 PM
Answer

Dipak Jadhav

Rank: New Member

Posts: 9

Join Date: April 2, 2013

Recent Posts

Thanks Pradeep. It is working.